## NAME

d.rast.arrow - Draws arrows representing cell aspect direction for a raster map layer.
(GRASS Display Program)

## SYNOPSIS

d.rast.arrow
d.rast.arrow help
d.rast.arrow [map=name] [type=name] [arrow_color=name] [grid_color=name] [x_color=name] [unknown_color=name]

## DESCRIPTION

d.rast.arrow is designed to help users better visualize surface water flow direction, as indicated in an aspect raster map layer. There are two ways to specify the aspect layer the program is to use. The first is to display the aspect map layer on the graphics monitor before running d.rast.arrow. The second method involves setting the map parameter to the name of the desired aspect map. This allows the arrows to be drawn over any other maps already displayed on the graphics monitor.

d.rast.arrow will draw an arrow over each displayed cell to indicate in which direction the cell slopes. An arrow can point in one of eight directions. If the aspect layer has a category value denoting locations of "unknown" aspect, d.rast.arrow draws a question mark over the displayed cells of that category. Cells of category 0 (no data) will be marked with an "X".

Note: Arrows are cell size and cannot be seen if the raster map is relatively close in scale. From a command line mode, the user cannot run d.rast.arrow and then run d.zoom and still see the arrows. The zooming action erases the arrows and the user must run d.rast.arrow again.

## OPTIONS

### Parameters:

map=name
  Name of an existing raster map layer to be displayed.
type=name
  Type of existing raster data to be displayed.
  Options: grass, agnps, answers
  Default: grass
  Using this information, d.rast.arrow uses internal information to convert category values into appropriate arrow directions.
arrow_color=name
  Color in which arrows will be drawn.
  Options: white, red, orange, yellow, green, blue, indigo, violet, magenta, brown, gray, black
  Default: green
grid_color=name
  Color in which grid outlines will be drawn.
  Options: white, red, orange, yellow, green, blue, indigo, violet, magenta, brown, gray, black
  Default: gray
x_color=name
  Color in which x's will be drawn.
  Options: white, red, orange, yellow, green, blue, indigo, violet, magenta, brown, gray, black
  Default: white
unknown_color=name
  Color in which unknown information will be displayed.
  Options: white, red, orange, yellow, green, blue, indigo, violet, magenta, brown, gray, black
  Default: red

## SEE ALSO

d.frame
d.rast
d.rast.edit
d.rast.num
d.zoom
g.region
r.mask
r.slope.aspect
parser

## AUTHOR

Chris Rewerts, Agricultural Engineering, Purdue University

Last changed: $Date: 2002/01/25 05:45:33 $